attribute vec2 matrixIndex;
attribute float weight;
uniform mat4 matrixArray[34]; // Ƃ肠Œ
uniform vec4 lightDirection;

vec4 blend(vec4 p)
{
	return matrixArray[int(matrixIndex.x)] * p * weight
		+ matrixArray[int(matrixIndex.y)] * p * (1.0 - weight);
}

float getTexCoord1X()
{
	vec3 nnn = normalize(gl_NormalMatrix * gl_Normal);
	vec3 nnld = normalize(gl_NormalMatrix * lightDirection.xyz);
	return clamp(dot(nnn, nnld), 0.1, 0.9);
}

void main()
{
	gl_Position = gl_ModelViewProjectionMatrix * blend(gl_Vertex);
	gl_FrontColor = gl_Color;
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_TexCoord[1].x = getTexCoord1X();
}
