﻿// sdlimageのテスト
import hdk.sdlimage;
import std.random;

int main()
{
	const dchar[] FILE_NAME = "sdlimage_test.bmp";
	const uint WIDTH = 256, HEIGHT = 256;
	
	uint[] testImage = new uint[WIDTH * HEIGHT];
	foreach (inout uint a; testImage) a = rand();
	writeBitmap(FILE_NAME, testImage, WIDTH, HEIGHT);
	
	uint rwidth, rheight;
	uint[] result = readImage(FILE_NAME, rwidth, rheight);
	assert(WIDTH == rwidth);
	assert(HEIGHT == rheight);
	assert(testImage.length == result.length);
	for (int i = 0; i < testImage.length; i++)
	{
		assert((testImage[i] & 0x00ffffff) == (result[i] & 0x00ffffff));
	}
	return 0;
}
